import request from '@/config/axios'

export interface MpkGroupVO {
  id: string
  name: string
  sort: number
}

// 查询列表
export const getList = () => {
  return request.get({ url: '/model/mpk/group/list' })
}

// 获得
export const getGroup = (id: number) => {
  return request.get({ url: '/model/mpk/group/get?id=' + id })
}

// 新增
export const createGroup = (data: MpkIconVO) => {
  return request.post({ url: '/model/mpk/group/create', data })
}

// 修改
export const updateGroup = (data: MpkIconVO) => {
  return request.put({ url: '/model/mpk/group/update', data })
}

// 删除
export const deleteGroup = (id: string) => {
  return request.delete({ url: '/model/mpk/group/delete?id=' + id })
}
